#
# spec file for package blueberry
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           blueberry
Version:        1.1.6
Release:        1.1
Summary:        A configuration tool for Bluetooth
License:        GPL-3.0+
Group:          System/GUI/Other
Url:            https://github.com/linuxmint/blueberry
Source:         https://github.com/linuxmint/%{name}/archive/%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildRequires:  fdupes
BuildRequires:  gobject-introspection-devel
BuildRequires:  hicolor-icon-theme
BuildRequires:  python
BuildRequires:  update-desktop-files
Requires:       gnome-bluetooth >= 3.14
Requires:       python-gobject
Requires:       rfkill
Requires:       wmctrl
Recommends:     %{name}-lang
BuildArch:      noarch
%glib2_gsettings_schema_requires
%if 0%{?suse_version} > 1320 || 0%{?sle_version} >= 120200
Requires:       python-gobject-Gdk
%endif

%description
Utility for Bluetooth devices graphical configuration.

%lang_package

%prep
%setup -q
# Replace the icon with an existing one.
sed -i 's/^\(Icon=\).*$/\1%{name}/' .%{_datadir}/applications/%{name}.desktop

%build
./makepot
make %{?_smp_mflags} V=1

%install
cp -a .%{_prefix} %{buildroot}%{_prefix}
cp -a .%{_sysconfdir} %{buildroot}%{_sysconfdir}
%find_lang %{name}
%fdupes %{buildroot}%{_datadir}/

%post
%desktop_database_post
%icon_theme_cache_post
%glib2_gsettings_schema_post

%postun
%desktop_database_postun
%icon_theme_cache_postun
%glib2_gsettings_schema_postun

%files
%defattr(-,root,root)
%doc README.md debian/{changelog,copyright}
%{_bindir}/%{name}*
%{_libexecdir}/%{name}/
%{_sysconfdir}/xdg/autostart/%{name}-tray.desktop
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/%{name}*
%{_datadir}/glib-2.0/schemas/org.%{name}.gschema.xml

%files lang -f %{name}.lang
%defattr(-,root,root)

%changelog
* Wed Nov  2 2016 sor.alexei@meowr.ru
- Update to version 1.1.6:
  * Specify versions of Gtk and GnomeBluetooth before loading them
    via GI.
* Mon Jun 27 2016 sor.alexei@meowr.ru
- Update to version 1.1.5:
  * Rename the tray option more accurately.
  * Update translations.
* Tue May 24 2016 sor.alexei@meowr.ru
- Update to version 1.1.4:
  * Updated translations.
* Wed May  4 2016 sor.alexei@meowr.ru
- Add a missing python-gobject-Gdk dependency.
* Thu Apr 28 2016 sor.alexei@meowr.ru
- Update to version 1.1.3:
  * Fix GtkStatusIcon menu popup on newer Gtk.
* Fri Apr 22 2016 sor.alexei@meowr.ru
- Update to version 1.1.2:
  * Add more padding and move the switch to the top-right corner of
    the screen (looks out of place with themes where Gtk.Switch
    isn't centered).
  * Specify gi typelib versions before importing.
  * Update translations.
  * Set up generate_desktop_files, makepot.
* Fri Feb 19 2016 sor.alexei@meowr.ru
- Update to 1.1.1:
  * Add disabled icon for bluetooth-tray.
* Fri Nov  6 2015 sor.alexei@meowr.ru
- Update to 1.1.0:
  * Hide in GNOME, KDE, and Unity.
  * Make blueberry-tray executable.
  * Detect more environments via $XDG_CURRENT_DESKTOP.
  * Fix monitoring settings.
  * Update translations.
* Tue Jun 30 2015 sor.alexei@meowr.ru
- Update to 1.0.9:
  * Update translations.
* Wed Jun  3 2015 sor.alexei@meowr.ru
- Update to 1.0.8:
  * Update translations.
* Fri May 29 2015 sor.alexei@meowr.ru
- Update to 1.0.7 (changes since 1.0.4):
  * List rfkill dependency.
* Tue Mar 31 2015 sor.alexei@meowr.ru
- Update to 1.0.4.
  * Unify settings getter/setter.
  * Update translations.
* Sat Mar 14 2015 sor.alexei@meowr.ru
- Initial package.
